/******************************************************************************
*
* Motorola Inc.
* (c) Copyright 2002 Motorola, Inc.
* ALL RIGHTS RESERVED.
*
*******************************************************************************
*
* FILE NAME: gpio.c   
*
* DESCRIPTION: Source file for GPIO Driver
*
* MODULES INCLUDED:
*
* NOTES:
*
*******************************************************************************/

#include "types.h"
#include "arch.h"
#include "periph.h"

#include "appconfig.h"
#include "gpio.h"

#ifdef __cplusplus
extern "C" {
#endif

/********************************************************************************
 gpioInit() function performs the GPIO module static configuration
 based on the configurable items from appconfig.h 
********************************************************************************/
void gpioInit(arch_sPort *pGpioBase)
{
	#ifdef GPIO_A
	if (pGpioBase == GPIO_A)
	{
		/* configure GPIO PORT A */
		#ifdef GPIO_A_PUR_INIT
		periphMemWrite(GPIO_A_PUR_INIT,&pGpioBase->pur);
		#endif
		
		#ifdef GPIO_A_DDR_INIT
		periphMemWrite(GPIO_A_DDR_INIT,&pGpioBase->ddr);
		#endif
		
		#ifdef GPIO_A_PER_INIT
		periphMemWrite(GPIO_A_PER_INIT,&pGpioBase->per);
		#endif
		
		#ifdef GPIO_A_IENR_INIT
		periphMemWrite(GPIO_A_IENR_INIT,&pGpioBase->ienr);
		#endif
		
		#ifdef GPIO_A_IPOLR_INIT
		periphMemWrite(GPIO_A_IPOLR_INIT,&pGpioBase->ipolr);
		#endif

		#ifdef GPIO_A_DR_INIT
		periphMemWrite(GPIO_A_DR_INIT,&pGpioBase->dr);
		#endif
	}
	else 
	#endif
	
	#ifdef GPIO_B
	if (pGpioBase == GPIO_B)
	{
		/* configure GPIO PORT B */
		#ifdef GPIO_B_PUR_INIT
		periphMemWrite(GPIO_B_PUR_INIT,&pGpioBase->pur);
		#endif
		
		#ifdef GPIO_B_DDR_INIT
		periphMemWrite(GPIO_B_DDR_INIT,&pGpioBase->ddr);
		#endif
		
		#ifdef GPIO_B_PER_INIT
		periphMemWrite(GPIO_B_PER_INIT,&pGpioBase->per);
		#endif
		
		#ifdef GPIO_B_IENR_INIT
		periphMemWrite(GPIO_B_IENR_INIT,&pGpioBase->ienr);
		#endif
		
		#ifdef GPIO_B_IPOLR_INIT
		periphMemWrite(GPIO_B_IPOLR_INIT,&pGpioBase->ipolr);
		#endif	

		#ifdef GPIO_B_DR_INIT
		periphMemWrite(GPIO_B_DR_INIT,&pGpioBase->dr);
		#endif
	}
	else 
	#endif
	
	#ifdef GPIO_D
	if (pGpioBase == GPIO_D)
	{
		/* configure GPIO PORT D */
		#ifdef GPIO_D_PUR_INIT
		periphMemWrite(GPIO_D_PUR_INIT,&pGpioBase->pur);
		#endif
		
		#ifdef GPIO_D_DDR_INIT
		periphMemWrite(GPIO_D_DDR_INIT,&pGpioBase->ddr);
		#endif
		
		#ifdef GPIO_D_PER_INIT
		periphMemWrite(GPIO_D_PER_INIT,&pGpioBase->per);
		#endif
		
		#ifdef GPIO_D_IENR_INIT
		periphMemWrite(GPIO_D_IENR_INIT,&pGpioBase->ienr);
		#endif
		
		#ifdef GPIO_D_IPOLR_INIT
		periphMemWrite(GPIO_D_IPOLR_INIT,&pGpioBase->ipolr);
		#endif	

		#ifdef GPIO_D_DR_INIT
		periphMemWrite(GPIO_D_DR_INIT,&pGpioBase->dr);
		#endif
	}
	else 
	#endif
	
	#ifdef GPIO_E
	if (pGpioBase == GPIO_E)
	{
		/* configure GPIO PORT E */
		#ifdef GPIO_E_PUR_INIT
		periphMemWrite(GPIO_E_PUR_INIT,&pGpioBase->pur);
		#endif
		
		#ifdef GPIO_E_DDR_INIT
		periphMemWrite(GPIO_E_DDR_INIT,&pGpioBase->ddr);
		#endif
		
		#ifdef GPIO_E_PER_INIT
		periphMemWrite(GPIO_E_PER_INIT,&pGpioBase->per);
		#endif
		
		#ifdef GPIO_E_IENR_INIT
		periphMemWrite(GPIO_E_IENR_INIT,&pGpioBase->ienr);
		#endif
	
		#ifdef GPIO_E_IPOLR_INIT
		periphMemWrite(GPIO_E_IPOLR_INIT,&pGpioBase->ipolr);
		#endif

		#ifdef GPIO_E_DR_INIT
		periphMemWrite(GPIO_E_DR_INIT,&pGpioBase->dr);
		#endif
	}
	else
	#endif
	
	; /* the last else command */
}


#ifdef __cplusplus
}
#endif
