/*******************************************************************************
*
*  Motorola Inc.
*  (c) Copyright 2003 Motorola Inc.
*  ALL RIGHTS RESERVED.
*
********************************************************************************
*
*
*  File Name:   qtimer.c
*
*  Description: Source file for Quad Timer (QT) driver.
*
*
*  Modules Included:
*
*  Notes:
*
*
*******************************************************************************/
#include "appconfig.h"
#include "types.h"
#include "periph.h"
#include "arch.h"
#include "qtimer.h"


#ifdef __cplusplus
extern "C" {
#endif

void qtInitQTIMER_A0(){
		#ifdef QT_A0_CMP1_INIT
			periphMemWrite(QT_A0_CMP1_INIT, &QTIMER_A0->cmp1);
		#endif
		#ifdef QT_A0_CMP2_INIT
			periphMemWrite(QT_A0_CMP2_INIT, &QTIMER_A0->cmp2);
		#endif
		#ifdef QT_A0_LOAD_INIT
			periphMemWrite(QT_A0_LOAD_INIT, &QTIMER_A0->load);
		#endif
		#ifdef QT_A0_CNTR_INIT
			periphMemWrite(QT_A0_CNTR_INIT, &QTIMER_A0->cntr);
		#endif
		#ifdef QT_A0_SCR_INIT
			periphMemWrite(QT_A0_SCR_INIT, &QTIMER_A0->scr);
		#endif
		#ifdef QT_A0_CTRL_INIT
			periphMemWrite(QT_A0_CTRL_INIT, &QTIMER_A0->ctrl);
		#endif
}
	
void qtInitQTIMER_A1(){
		#ifdef QT_A1_CMP1_INIT
			periphMemWrite(QT_A1_CMP1_INIT, &QTIMER_A1->cmp1);
		#endif
		#ifdef QT_A1_CMP2_INIT
			periphMemWrite(QT_A1_CMP2_INIT, &QTIMER_A1->cmp2);
		#endif
		#ifdef QT_A1_LOAD_INIT
			periphMemWrite(QT_A1_LOAD_INIT, &QTIMER_A1->load);
		#endif
		#ifdef QT_A1_CNTR_INIT
			periphMemWrite(QT_A1_CNTR_INIT, &QTIMER_A1->cntr);
		#endif
		#ifdef QT_A1_SCR_INIT
			periphMemWrite(QT_A1_SCR_INIT, &QTIMER_A1->scr);
		#endif
		#ifdef QT_A1_CTRL_INIT
			periphMemWrite(QT_A1_CTRL_INIT, &QTIMER_A1->ctrl);
		#endif
}
	
void qtInitQTIMER_A2(){
		#ifdef QT_A2_CMP1_INIT
			periphMemWrite(QT_A2_CMP1_INIT, &QTIMER_A2->cmp1);
		#endif
		#ifdef QT_A2_CMP2_INIT
			periphMemWrite(QT_A2_CMP2_INIT, &QTIMER_A2->cmp2);
		#endif
		#ifdef QT_A2_LOAD_INIT
			periphMemWrite(QT_A2_LOAD_INIT, &QTIMER_A2->load);
		#endif
		#ifdef QT_A2_CNTR_INIT
			periphMemWrite(QT_A2_CNTR_INIT, &QTIMER_A2->cntr);
		#endif
		#ifdef QT_A2_SCR_INIT
			periphMemWrite(QT_A2_SCR_INIT, &QTIMER_A2->scr);
		#endif
		#ifdef QT_A2_CTRL_INIT
			periphMemWrite(QT_A2_CTRL_INIT, &QTIMER_A2->ctrl);
		#endif
}

void qtInitQTIMER_A3(){
		#ifdef QT_A3_CMP1_INIT
			periphMemWrite(QT_A3_CMP1_INIT, &QTIMER_A3->cmp1);
		#endif
		#ifdef QT_A3_CMP2_INIT
			periphMemWrite(QT_A3_CMP2_INIT, &QTIMER_A3->cmp2);
		#endif
		#ifdef QT_A3_LOAD_INIT
			periphMemWrite(QT_A3_LOAD_INIT, &QTIMER_A3->load);
		#endif
		#ifdef QT_A3_CNTR_INIT
			periphMemWrite(QT_A3_CNTR_INIT, &QTIMER_A3->cntr);
		#endif
		#ifdef QT_A3_SCR_INIT
			periphMemWrite(QT_A3_SCR_INIT, &QTIMER_A3->scr);
		#endif
		#ifdef QT_A3_CTRL_INIT
			periphMemWrite(QT_A3_CTRL_INIT, &QTIMER_A3->ctrl);
		#endif
}


void qtInitQTIMER_B0(){
		#ifdef QT_B0_CMP1_INIT
			periphMemWrite(QT_B0_CMP1_INIT, &QTIMER_B0->cmp1);
		#endif
		#ifdef QT_B0_CMP2_INIT
			periphMemWrite(QT_B0_CMP2_INIT, &QTIMER_B0->cmp2);
		#endif
		#ifdef QT_B0_LOAD_INIT
			periphMemWrite(QT_B0_LOAD_INIT, &QTIMER_B0->load);
		#endif
		#ifdef QT_B0_CNTR_INIT
			periphMemWrite(QT_B0_CNTR_INIT, &QTIMER_B0->cntr);
		#endif
		#ifdef QT_B0_SCR_INIT
			periphMemWrite(QT_B0_SCR_INIT, &QTIMER_B0->scr);
		#endif
		#ifdef QT_B0_CTRL_INIT
			periphMemWrite(QT_B0_CTRL_INIT, &QTIMER_B0->ctrl);
		#endif
}
	
void qtInitQTIMER_B1(){
		#ifdef QT_B1_CMP1_INIT
			periphMemWrite(QT_B1_CMP1_INIT, &QTIMER_B1->cmp1);
		#endif
		#ifdef QT_B1_CMP2_INIT
			periphMemWrite(QT_B1_CMP2_INIT, &QTIMER_B1->cmp2);
		#endif
		#ifdef QT_B1_LOAD_INIT
			periphMemWrite(QT_B1_LOAD_INIT, &QTIMER_B1->load);
		#endif
		#ifdef QT_B1_CNTR_INIT
			periphMemWrite(QT_B1_CNTR_INIT, &QTIMER_B1->cntr);
		#endif
		#ifdef QT_B1_SCR_INIT
			periphMemWrite(QT_B1_SCR_INIT, &QTIMER_B1->scr);
		#endif
		#ifdef QT_B1_CTRL_INIT
			periphMemWrite(QT_B1_CTRL_INIT, &QTIMER_B1->ctrl);
		#endif
}
	
void qtInitQTIMER_B2(){
		#ifdef QT_B2_CMP1_INIT
			periphMemWrite(QT_B2_CMP1_INIT, &QTIMER_B2->cmp1);
		#endif
		#ifdef QT_B2_CMP2_INIT
			periphMemWrite(QT_B2_CMP2_INIT, &QTIMER_B2->cmp2);
		#endif
		#ifdef QT_B2_LOAD_INIT
			periphMemWrite(QT_B2_LOAD_INIT, &QTIMER_B2->load);
		#endif
		#ifdef QT_B2_CNTR_INIT
			periphMemWrite(QT_B2_CNTR_INIT, &QTIMER_B2->cntr);
		#endif
		#ifdef QT_B2_SCR_INIT
			periphMemWrite(QT_B2_SCR_INIT, &QTIMER_B2->scr);
		#endif
		#ifdef QT_B2_CTRL_INIT
			periphMemWrite(QT_B2_CTRL_INIT, &QTIMER_B2->ctrl);
		#endif
}

void qtInitQTIMER_B3(){
		#ifdef QT_B3_CMP1_INIT
			periphMemWrite(QT_B3_CMP1_INIT, &QTIMER_B3->cmp1);
		#endif
		#ifdef QT_B3_CMP2_INIT
			periphMemWrite(QT_B3_CMP2_INIT, &QTIMER_B3->cmp2);
		#endif
		#ifdef QT_B3_LOAD_INIT
			periphMemWrite(QT_B3_LOAD_INIT, &QTIMER_B3->load);
		#endif
		#ifdef QT_B3_CNTR_INIT
			periphMemWrite(QT_B3_CNTR_INIT, &QTIMER_B3->cntr);
		#endif
		#ifdef QT_B3_SCR_INIT
			periphMemWrite(QT_B3_SCR_INIT, &QTIMER_B3->scr);
		#endif
		#ifdef QT_B3_CTRL_INIT
			periphMemWrite(QT_B3_CTRL_INIT, &QTIMER_B3->ctrl);
		#endif
}


void qtInitQTIMER_C0(){
		#ifdef QT_C0_CMP1_INIT
			periphMemWrite(QT_C0_CMP1_INIT, &QTIMER_C0->cmp1);
		#endif
		#ifdef QT_C0_CMP2_INIT
			periphMemWrite(QT_C0_CMP2_INIT, &QTIMER_C0->cmp2);
		#endif
		#ifdef QT_C0_LOAD_INIT
			periphMemWrite(QT_C0_LOAD_INIT, &QTIMER_C0->load);
		#endif
		#ifdef QT_C0_CNTR_INIT
			periphMemWrite(QT_C0_CNTR_INIT, &QTIMER_C0->cntr);
		#endif
		#ifdef QT_C0_SCR_INIT
			periphMemWrite(QT_C0_SCR_INIT, &QTIMER_C0->scr);
		#endif
		#ifdef QT_C0_CTRL_INIT
			periphMemWrite(QT_C0_CTRL_INIT, &QTIMER_C0->ctrl);
		#endif
}
	
void qtInitQTIMER_C1(){
		#ifdef QT_C1_CMP1_INIT
			periphMemWrite(QT_C1_CMP1_INIT, &QTIMER_C1->cmp1);
		#endif
		#ifdef QT_C1_CMP2_INIT
			periphMemWrite(QT_C1_CMP2_INIT, &QTIMER_C1->cmp2);
		#endif
		#ifdef QT_C1_LOAD_INIT
			periphMemWrite(QT_C1_LOAD_INIT, &QTIMER_C1->load);
		#endif
		#ifdef QT_C1_CNTR_INIT
			periphMemWrite(QT_C1_CNTR_INIT, &QTIMER_C1->cntr);
		#endif
		#ifdef QT_C1_SCR_INIT
			periphMemWrite(QT_C1_SCR_INIT, &QTIMER_C1->scr);
		#endif
		#ifdef QT_C1_CTRL_INIT
			periphMemWrite(QT_C1_CTRL_INIT, &QTIMER_C1->ctrl);
		#endif
}
	
void qtInitQTIMER_C2(){
		#ifdef QT_C2_CMP1_INIT
			periphMemWrite(QT_C2_CMP1_INIT, &QTIMER_C2->cmp1);
		#endif
		#ifdef QT_C2_CMP2_INIT
			periphMemWrite(QT_C2_CMP2_INIT, &QTIMER_C2->cmp2);
		#endif
		#ifdef QT_C2_LOAD_INIT
			periphMemWrite(QT_C2_LOAD_INIT, &QTIMER_C2->load);
		#endif
		#ifdef QT_C2_CNTR_INIT
			periphMemWrite(QT_C2_CNTR_INIT, &QTIMER_C2->cntr);
		#endif
		#ifdef QT_C2_SCR_INIT
			periphMemWrite(QT_C2_SCR_INIT, &QTIMER_C2->scr);
		#endif
		#ifdef QT_C2_CTRL_INIT
			periphMemWrite(QT_C2_CTRL_INIT, &QTIMER_C2->ctrl);
		#endif
}

void qtInitQTIMER_C3(){
		#ifdef QT_C3_CMP1_INIT
			periphMemWrite(QT_C3_CMP1_INIT, &QTIMER_C3->cmp1);
		#endif
		#ifdef QT_C3_CMP2_INIT
			periphMemWrite(QT_C3_CMP2_INIT, &QTIMER_C3->cmp2);
		#endif
		#ifdef QT_C3_LOAD_INIT
			periphMemWrite(QT_C3_LOAD_INIT, &QTIMER_C3->load);
		#endif
		#ifdef QT_C3_CNTR_INIT
			periphMemWrite(QT_C3_CNTR_INIT, &QTIMER_C3->cntr);
		#endif
		#ifdef QT_C3_SCR_INIT
			periphMemWrite(QT_C3_SCR_INIT, &QTIMER_C3->scr);
		#endif
		#ifdef QT_C3_CTRL_INIT
			periphMemWrite(QT_C3_CTRL_INIT, &QTIMER_C3->ctrl);
		#endif
}


void qtInitQTIMER_D0(){
		#ifdef QT_D0_CMP1_INIT
			periphMemWrite(QT_D0_CMP1_INIT, &QTIMER_D0->cmp1);
		#endif
		#ifdef QT_D0_CMP2_INIT
			periphMemWrite(QT_D0_CMP2_INIT, &QTIMER_D0->cmp2);
		#endif
		#ifdef QT_D0_LOAD_INIT
			periphMemWrite(QT_D0_LOAD_INIT, &QTIMER_D0->load);
		#endif
		#ifdef QT_D0_CNTR_INIT
			periphMemWrite(QT_D0_CNTR_INIT, &QTIMER_D0->cntr);
		#endif
		#ifdef QT_D0_SCR_INIT
			periphMemWrite(QT_D0_SCR_INIT, &QTIMER_D0->scr);
		#endif
		#ifdef QT_D0_CTRL_INIT
			periphMemWrite(QT_D0_CTRL_INIT, &QTIMER_D0->ctrl);
		#endif
}
	
void qtInitQTIMER_D1(){
		#ifdef QT_D1_CMP1_INIT
			periphMemWrite(QT_D1_CMP1_INIT, &QTIMER_D1->cmp1);
		#endif
		#ifdef QT_D1_CMP2_INIT
			periphMemWrite(QT_D1_CMP2_INIT, &QTIMER_D1->cmp2);
		#endif
		#ifdef QT_D1_LOAD_INIT
			periphMemWrite(QT_D1_LOAD_INIT, &QTIMER_D1->load);
		#endif
		#ifdef QT_D1_CNTR_INIT
			periphMemWrite(QT_D1_CNTR_INIT, &QTIMER_D1->cntr);
		#endif
		#ifdef QT_D1_SCR_INIT
			periphMemWrite(QT_D1_SCR_INIT, &QTIMER_D1->scr);
		#endif
		#ifdef QT_D1_CTRL_INIT
			periphMemWrite(QT_D1_CTRL_INIT, &QTIMER_D1->ctrl);
		#endif
}
	
void qtInitQTIMER_D2(){
		#ifdef QT_D2_CMP1_INIT
			periphMemWrite(QT_D2_CMP1_INIT, &QTIMER_D2->cmp1);
		#endif
		#ifdef QT_D2_CMP2_INIT
			periphMemWrite(QT_D2_CMP2_INIT, &QTIMER_D2->cmp2);
		#endif
		#ifdef QT_D2_LOAD_INIT
			periphMemWrite(QT_D2_LOAD_INIT, &QTIMER_D2->load);
		#endif
		#ifdef QT_D2_CNTR_INIT
			periphMemWrite(QT_D2_CNTR_INIT, &QTIMER_D2->cntr);
		#endif
		#ifdef QT_D2_SCR_INIT
			periphMemWrite(QT_D2_SCR_INIT, &QTIMER_D2->scr);
		#endif
		#ifdef QT_D2_CTRL_INIT
			periphMemWrite(QT_D2_CTRL_INIT, &QTIMER_D2->ctrl);
		#endif
}

void qtInitQTIMER_D3(){
		#ifdef QT_D3_CMP1_INIT
			periphMemWrite(QT_D3_CMP1_INIT, &QTIMER_D3->cmp1);
		#endif
		#ifdef QT_D3_CMP2_INIT
			periphMemWrite(QT_D3_CMP2_INIT, &QTIMER_D3->cmp2);
		#endif
		#ifdef QT_D3_LOAD_INIT
			periphMemWrite(QT_D3_LOAD_INIT, &QTIMER_D3->load);
		#endif
		#ifdef QT_D3_CNTR_INIT
			periphMemWrite(QT_D3_CNTR_INIT, &QTIMER_D3->cntr);
		#endif
		#ifdef QT_D3_SCR_INIT
			periphMemWrite(QT_D3_SCR_INIT, &QTIMER_D3->scr);
		#endif
		#ifdef QT_D3_CTRL_INIT
			periphMemWrite(QT_D3_CTRL_INIT, &QTIMER_D3->ctrl);
		#endif
}


#ifdef __cplusplus
}
#endif