/******************************************************************************
*
* Motorola Inc.
* (c) Copyright 2002 Motorola, Inc.
* ALL RIGHTS RESERVED.
*
*******************************************************************************
*
* FILE NAME: sci.c   
*
* DESCRIPTION: Source file for the SCI software layer implementation fork
*
* MODULES INCLUDED: types.h
*                   arch.h
*                   periph.h
*                   appconfig.h
*                   sci.h
*
* NOTES:
*
*******************************************************************************/

#include "appconfig.h"

#include "types.h"
#include "periph.h"
#include "arch.h"

/* in sci.h, ignore that we whave not included occs.h before
  (otherwise we would get error that baudrates are inaccessible) */
#define SCI_DISABLE_BAUDRATE_WARNING 1

#include "sci.h"

/********************************************************************************

    sciInit() function performs the SCI module static configuration
    based on the configurable items from appconfig.h 

    It is the same for any higher software layer implementation used

********************************************************************************/

void sciInit(arch_sSCI *pSciBase)
{
#ifdef SCI_0
	if (pSciBase == SCI_0)
	{
		#ifdef SCI_0_SCIBR_INIT
		periphMemWrite(SCI_0_SCIBR_INIT,&pSciBase->scibr);
		#endif
		
		#ifdef SCI_0_SCICR_INIT
		periphMemWrite(SCI_0_SCICR_INIT,&pSciBase->scicr);
		#endif
	}
	else
#endif	

#ifdef SCI_1
	if (pSciBase == SCI_1)
	{
		#ifdef SCI_1_SCIBR_INIT
		periphMemWrite(SCI_1_SCIBR_INIT,&pSciBase->scibr);
		#endif
		
		#ifdef SCI_1_SCICR_INIT
		periphMemWrite(SCI_1_SCICR_INIT,&pSciBase->scicr);
		#endif
	}
	else
#endif

	; /* last else case */
}

