/*****************************************************************************
*
* Motorola Inc.
* (c) Copyright 2002 Motorola, Inc.
* ALL RIGHTS RESERVED.
*
******************************************************************************
*
* File Name: spi.c
*
* Description: Source file for the SPI module driver
*
* Modules Included: types.h
*                   arch.h
*                   periph.h
*                   appconfig.h
*                   spi.h
*
*****************************************************************************/

#include "types.h"
#include "arch.h"
#include "periph.h"

#include "appconfig.h"
#include "spi.h"

#ifdef __cplusplus
extern "C" {
#endif

/********************************************************************************

    spiInit() function performs the SPI module static configuration
    based on the configurable items from appconfig.h 

    It is the same for any higher software layer implementation used

********************************************************************************/

void spiInit(arch_sSPI *pSpiBase)
{
	if (pSpiBase == SPI_0)
	{
		#ifdef SPI_0_SPDSR_INIT
		periphMemWrite(SPI_0_SPDSR_INIT,&pSpiBase->spdsr);
		#endif

		#ifdef SPI_0_SPSCR_INIT
		periphMemWrite(SPI_0_SPSCR_INIT,&pSpiBase->spscr);
		#endif
	}
}

